Factunexo Docs
API RESTReferenciaBillingLiquidaciones de Compra

Crear y autorizar liquidación de compra

POST
/api/v1/billing/purchase-settlements

Authorization

X-API-Secret<token>

API Secret para autenticación. Debe enviarse junto con X-API-Key.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/billing/purchase-settlements" \  -H "Content-Type: application/json" \  -d '{    "posId": "7f542382-3a91-4db8-938e-e9f86b88057c",    "providerId": "4834bcdc-4a64-444d-966b-1a6fe381da24",    "info": {      "emissionDate": "2019-08-24",      "specialTaxpayerType": "ZERO",      "mandatoryAccountingType": "NO",      "providerTaxpayerName": "string",      "providerIdentification": "string",      "totalWithoutTaxes": 0,      "totalDiscount": 0,      "total": 0,      "currency": "USD"    },    "lines": [      {        "itemId": "f11b669d-7201-4c21-88af-d85092f0c005",        "description": "string",        "quantity": 0,        "price": 0      }    ]  }'
{  "requestId": "string",  "timestamp": "string",  "data": {    "purchaseSettlementId": "f9ba65b1-288a-4d49-9055-805148bfa601",    "receiptId": "4937ce52-e283-4321-b00f-c29b6dd5d0e9",    "sequential": "string",    "emissionDate": "2019-08-24",    "status": "SAVED",    "authorizationNumber": "string",    "authorizationDate": "2019-08-24T14:15:22Z",    "providerId": "4834bcdc-4a64-444d-966b-1a6fe381da24",    "providerTaxpayerName": "string",    "providerIdentification": "string",    "totalWithoutTaxes": 0,    "totalDiscount": 0,    "total": 0,    "lines": [      {        "itemId": "f11b669d-7201-4c21-88af-d85092f0c005",        "code": "string",        "extraCode": "string",        "description": "string",        "unitMeasure": "string",        "quantity": 0,        "price": 0,        "discountType": "AMOUNT",        "discount": 0,        "totalWithoutTaxes": 0      }    ]  }}